# -*- mode: ruby -*-
# vi: set ft=ruby :

# Vagrantfile API/syntax version. Don't touch unless you know what you're doing!
VAGRANTFILE_API_VERSION = "2"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
  # For a complete reference, see the online documentation at vagrantup.com.

  config.vm.box = "ubuntu-14.04"
  config.vm.box_url = "http://cloud-images.ubuntu.com/vagrant/trusty/current/trusty-server-cloudimg-amd64-vagrant-disk1.box"

  # config.vm.network "forwarded_port", guest: 8000, host: 9000
  # config.vm.network "forwarded_port", guest: 3000, host: 3500

  # Create a private network, which allows host-only access to the machine
  # using a specific IP.
  config.vm.network "private_network", ip: "192.168.33.10"


  config.vm.synced_folder "/Users/imran/development/python/alemhealth", "/home/vagrant/alemhealth"
  config.vm.synced_folder "/Users/imran/development/python/alemhealthbox", "/home/vagrant/alemhealthbox"

  config.vm.provider :virtualbox do |vb|
    vb.memory = 1024
    vb.cpus = `python -c "import multiprocessing; print multiprocessing.cpu_count()"`
  end

  config.vm.provision :shell, path: "bootstrap.sh"

  # Get vagrant to call the machine "django-dev" instead of "default"
  config.vm.define :'django-dev' do |t|
  end

end
